using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Domain
{
	public class SysAuthority
	{
		/// <summary>
		/// ID
		/// </summary>
		public virtual int ID
		{
			get;
			set;
		}

		/// <summary>
		/// 父节点ID
		/// </summary>
		public virtual int ParentID
		{
			get;
			set;
		}

		/// <summary>
		/// 权限名称
		/// </summary>
		public virtual string Name
		{
			get;
			set;
		}

        
         /// <summary>
		/// 权限英文名称
		/// </summary>
        public virtual string EName
		{
			get;
			set;
		}
        /// <summary>
        /// 权限繁體名称
        /// </summary>
        public virtual string TWName
        {
            get;
            set;
        }

		/// <summary>
		/// Url
		/// </summary>
		public virtual string Url
		{
			get;
			set;
		}
		/// <summary>
		/// 图标
		/// </summary>
		public virtual string Icon
		{
			get;
			set;
		}
		/// <summary>
		/// 是否菜单权限
		/// </summary>
		public virtual bool IsMenu
		{
			get;
			set;
		}
		/// <summary>
		/// 排序
		/// </summary>
		public virtual int Sort
		{
			get;
			set;
		}
		/// <summary>
		/// 启用
		/// </summary>
		public virtual bool ActiveIndicator
		{
			get;
			set;
		}
		/// <summary>
		/// 启用
		/// </summary>
		public virtual bool IsLog
		{
			get;
			set;
		}
	}
}
